(* Graphics output for dumb terminals *)

(* These variables can be reset during a session to alter subsequently
   created graphics windows: *)

Begin["System`Private`"]

Unprotect[ $DisplayFunction]

Clear[ $DisplayFunction]

$Display = {}

$DisplayFunction =
        Module[{str},
		str = DisplayString[ #, "TTY"] ;
		If[ StringQ[ str], WriteString[ $Output,str]];
                #]&


Unprotect[ $SoundDisplayFunction]

Clear[ $SoundDisplayFunction]

$SoundDisplay = {}

$SoundDisplayFunction =
        Module[{str},
		str = DisplayString[ #, "TTY"] ;
		If[ StringQ[ str], WriteString[ $Output,str]];
                #]&

End[]

If[ !($BatchOutput || $Remote || $ParentLink =!= Null),
	Print[" -- Terminal graphics initialized -- "] ]

